GLFW

- Documentation
- Download
- Media
- Community

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
GLFWimage Struct Reference

Image data. More...

## Data Fields
int | width
int | height
unsigned char * | pixels

## Detailed Description

See also
  Custom cursor creation
  Window icon

Since
  Added in version 2.1.

  GLFW 3: Removed format and bytes-per-pixel members.

## Field Documentation

int GLFWimage::height

The height, in pixels, of this image.

unsigned char* GLFWimage::pixels

The pixel data of this image, arranged left-to-right, top-to-bottom.

int GLFWimage::width

The width, in pixels, of this image.

The documentation for this struct was generated from the following file:

- glfw3.h